> For the complete documentation index, see [llms.txt](https://docs.saas.haut.ai/haut.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.saas.haut.ai/haut.ai/haut.ai-features/algorithms/face-metrics-2-0/acne-algorithm.md).

# Acne Algorithm

What the Acne Algorithm measures, the facial areas it covers, and how to read the Acne Score it returns in Face Metrics 2.0.

## About Algorithm

1. This Algorithm estimates the presence and severity of visible acne spots, such as whiteheads and inflamed pimples accompanied by redness.
2. This Algorithm estimates indicated skin health parameters on: forehead, right/left cheeks, nose and chin areas.
3. The Main Metric for this Algorithm is the Acne Score, with a range from 0 to 100.
   1. Values from 90 to 100 are considered as a relatively good skin condition.
   2. Values below 90 are considered significant visible acne.
   3. Values from 0 to 50 refer to an alerting skin condition, that might require specialist attention.
   4. Acne Score is a non-linear combination of the intensity score and density score to estimate both parameters at once and handle extreme cases.
4. There are several Submetrics for this Algorithm:
   * Number of visible acne spots (nb: algorithms separates acne from acne scars).
   * Density score - the ratio of skin area covered by detected acne spots.
   * Intensity score - an average irritation level of the detected spots.

***

## Algorithm API

{% hint style="warning" %}
API access is available only for <mark style="color:purple;">**Professional**</mark> plan clients
{% endhint %}

See [Acne Result Scheme](/haut.ai/developers/saas-api-overview/api-for-face-metrics-2.0/acne.md).

***

{% hint style="warning" %}
Not a Haut.AI client yet?
{% endhint %}

<a href="https://haut.ai/book-a-demo?utm_source=referral&#x26;utm_medium=saas_docs&#x26;utm_campaign=Docs_SaaS_HautAI" class="button primary" data-icon="user-vneck">Book a demo</a> <a href="https://haut.ai/product/ai-skin-analysis?utm_source=referral&#x26;utm_medium=saas_docs&#x26;utm_campaign=Docs_SaaS_HautAI" class="button secondary" data-icon="external-link">Platform overview on haut.ai</a>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.saas.haut.ai/haut.ai/haut.ai-features/algorithms/face-metrics-2-0/acne-algorithm.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
